El navegador Google Chrome deixa de suportar l’execució de la màquina virtual java

El passat 16 d’abril del 2015, Google va publicar una actualització (42.0.2311.87) del popular navegador Chrome. Correccions i noves funcionalitats a banda, la principal novetat d’aquesta versió és que deixa de donar suport a l’execució de plugins NPAPI, entre els que es troba la màquina virtual de java.

El canvi afecta molt a les diferents aplicacions d’administració electrònica, especialment a les que impliquen l’ús de la signatura electrònica basada en certificats digitals, ja que moltes estan basades en l’execució d’applets de signatura. Des de ahir, amb Google Chrome, moltes d’elles van deixar de funcionar.

Val a dir que l’actualització, amb una instal·lació estàndard del programari, es porta a terme de manera automàtica, motiu pel qual molts usuaris s’hauran trobat que les aplicacions java han deixat de funcionar amb el navegador d’un dia per una altre. Tal i com explica Google a la seva wiki de desenvolupament, de moment l’execució de plugins NPAPI es pot tornar a activar posant chrome://flags/#enable-npapi. Al mes de Setembre l’execució d’aquest tipus d’extensions deixarà de ser suportada pel navegador definitivament.

Des del Consorci AOC estem treballant per trobar alternatives als applets per signar electrònicament. Mentre aquestes alternatives no s’acaben d’implantar, recomanem utilitzar els navegador Internet Explorer i Firefox per utilitzar les aplicacions web que requereixin de l’execució d’applets de java.

Comentaris

  • Joan ha dit:

    Això del Chrome és conegut des del 2013 http://blog.chromium.org/2013/09/saying-goodbye-to-our-old-friend-npapi.html
    I el nou navegador de Microsoft que vindrà amb el nou Windows 10 aquest estiu sembla que tampoc suportarà Java http://www.techrepublic.com/article/java-gets-browser-eviction-notices-from-spartan-and-chrome-42/

    I ja no parlem del suport de java per parts dels navegadors per mòbil…

    Digueu que des de l’AOC esteu treballant per solucionar el problema… en què esteu treballant, concretament?
    Que heu estat fent durant aquests 2 anys des de que van avisar que eliminarien el suport per Chrome?

    Veurem un nou post en el blog d’aquí un temps on ens avisin que hem de fer servir versions velles dels navegadors per signar? Haurem de mantenir una màquina congelada en el temps per signar? “La signadora”

  • n/a ha dit:

    Mientras el resto de administraciones estatales como la Seguridad Social, la Agencia Tributaria,ETC se han puesto las pilas con HTML5, los de la AOC deben estar buscando a los de “El Consorcio” o a Segio y Estibaliz para actualizar sus servidores. Cuando narices pretenden actualizar las capas TLS y encriptacion 256 a 2048 bits, ¿para el siglo 34?. Hay una pila de ayuntamientos que utilizan la plataforma de la AOC y tienen los certificados caducados desde hace meses, en muchos casos utilizan encriptaciones tls 1.0 del año catapun que ya han sido burladas. Dais informacion sobre plataformas de uso del año pasado, Mozilla va por la 43 y Java va por la 8, las capas de seguridad en java 7 no eran seguras y por eso ya no se permite la seguridad media. Esta administracion pretende que los ciudadanos utilicen una plataforma donde sus datos no estan seguros, violando la ley flagrantemente. Flash no tardara en desaparecer y lo mismo le pasara a Java con sus applets cutre-salchicheros. Una vez dicho esto espero que los que gestionan la administracion electronica se pongan a trabajar porque para eso les pagamos y sino….a la puta calle. Saludos.

L'adreça electrònica no es publicarà. Els camps necessaris estan marcats amb *